/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomSQLError_H__
#define __GdomSQLError_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomSQLError GdomSQLError;
typedef struct _GdomSQLErrorClass GdomSQLErrorClass;


#define GDOM_TYPE_SQL_ERROR            (gdom_sql_error_get_type())
#define GDOM_SQL_ERROR(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_SQL_ERROR, GdomSQLError))
#define GDOM_SQL_ERROR_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_SQL_ERROR, GdomSQLError)Class)
#define GDOM_IS_SQL_ERROR(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_SQL_ERROR))
#define GDOM_IS_SQL_ERROR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_SQL_ERROR))
#define GDOM_SQL_ERROR_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_SQL_ERROR, GdomSQLErrorClass))

typedef struct _GdomSQLErrorPrivate GdomSQLErrorPrivate;

struct _GdomSQLError {
    GdomDOMObject parent_instance;
    GdomSQLErrorPrivate *priv;
};

struct _GdomSQLErrorClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_sql_error_get_type (void);

G_END_DECLS

#endif /* __GdomSQLError_H__ */
